FLANG

Classes | Public Member Functions | Public Attributes | List of all members
Fortran::parser::CharSelector Struct Reference

## Classes
struct | LengthAndKind

## Public Member Functions
| UNION_CLASS_BOILERPLATE (CharSelector)
| CharSelector (TypeParamValue &&l, ScalarIntConstantExpr &&k)
| CharSelector (ScalarIntConstantExpr &&k, std::optional< TypeParamValue > &&l)

## Public Attributes
std::variant< LengthSelector, LengthAndKind > | u

The documentation for this struct was generated from the following file:

- include/flang/Parser/parse-tree.h